\documentclass[10pt,a4paper]{report}
\usepackage[top=3cm, bottom=2.5cm, left=3cm, right=2.5cm] {geometry}
\usepackage {bsymb,b2latex}
\usepackage[utf8]{inputenc}
\usepackage{fancyhdr,lastpage,color}
\lhead{\rm An Event-B Specification of context}
\rhead {\rm Page \thepage~of \pageref{LastPage}}
\lfoot{}\cfoot{}\rfoot{}
\pagestyle{fancy}
%---------------------------------------------------------
\begin{document}
\thispagestyle{empty}
\begin{description}
\BTitle{context}{11Dec2016}{09:45:08 PM}
\CONTEXT{context}
\SETS
	\begin{description}
		\Item{ L }
		\Item{ toto }
	\end{description}
\CONSTANTS
	\begin{description}
		\Item{ x }
		\Item{ l0 }
		\Item{ l1 }
		\Item{ l2 }
		\Item{ l3 }
		\Item{ l4 }
		\Item{ l5 }
		\Item{ l6 }
		\Item{ l7 }
		\Item{ l8 }
		\Item{ fg }
		\Item{ fff }
		\Item{ fffeee }
		\Item{ ffffffe }
		\Item{ ee }
	\end{description}
\AXIOMS
	\begin{description}
		\nItem{ axm1 }{ x \in  \nat  }		\nItem{ axm2 }{ partition(L, \{ l0\} , \{ l1\} , \{ l2\} , \{ l3\} , \{ l4\} , \{ l5\} , \{ l6\} , \{ l7\} , \{ l8\} ) }		\nItem{ axm3 }{ partition(toto, \{ fg\} , \{ fff\} , \{ fffeee\} , \{ ffffffe\} , \{ ee\} ) }	\end{description}
\END
\end{description}
\end{document}
